package com.uas.finance.erp.model;

import com.uas.finance.model.FinanceCondition;

import javax.persistence.Column;

/**
 * created by shicr on 2017/12/20
 * 财务情况说明
 **/
public class FinanceConditionInfo {

    /**
     * ID
     */
    private Long id;

    /**
     * 企业uu
     *
     * @return
     */
    private Long enuu;

    /**
     * 账龄<=3个月
     */
    private Double fc_agingamount1;

    /**
     * 3个月<帐龄≤6个月
     */
    private Double fc_agingamount2;

    /**
     * 6个月<帐龄<=1年
     */
    private Double fc_agingamount4;

    /**
     * 帐龄>1年
     */
    private Double fc_agingamount3;

    /**
     * 其他应收账款说明
     */
    private String fc_otharremark;

    /**
     * 截止时间，年月的拼接,字段名按UAS表来写，不是手误
     */
    private Integer fc_yeatmonth;

    /**
     * 截止至XX年
     */
    private Integer year;

    /**
     * 截止至XX月
     */
    private Integer month;

    /**
     * 余额
     */
    private Double fc_arbalance;


    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getEnuu() {
        return enuu;
    }

    public void setEnuu(Long enuu) {
        this.enuu = enuu;
    }

    public Double getFc_agingamount1() {
        return fc_agingamount1;
    }

    public void setFc_agingamount1(Double fc_agingamount1) {
        this.fc_agingamount1 = fc_agingamount1;
    }

    public Double getFc_agingamount2() {
        return fc_agingamount2;
    }

    public void setFc_agingamount2(Double fc_agingamount2) {
        this.fc_agingamount2 = fc_agingamount2;
    }

    public Double getFc_agingamount4() {
        return fc_agingamount4;
    }

    public void setFc_agingamount4(Double fc_agingamount4) {
        this.fc_agingamount4 = fc_agingamount4;
    }

    public Double getFc_agingamount3() {
        return fc_agingamount3;
    }

    public void setFc_agingamount3(Double fc_agingamount3) {
        this.fc_agingamount3 = fc_agingamount3;
    }

    public String getFc_otharremark() {
        return fc_otharremark;
    }

    public void setFc_otharremark(String fc_otharremark) {
        this.fc_otharremark = fc_otharremark;
    }

    public Integer getFc_yeatmonth() {
        return fc_yeatmonth;
    }

    public void setFc_yeatmonth(Integer fc_yeatmonth) {
        this.fc_yeatmonth = fc_yeatmonth;
    }

    public Integer getYear() {
        return year;
    }

    public void setYear(Integer year) {
        this.year = year;
    }

    public Integer getMonth() {
        return month;
    }

    public void setMonth(Integer month) {
        this.month = month;
    }

    public Double getFc_arbalance() {
        return fc_arbalance;
    }

    public void setFc_arbalance(Double fc_arbalance) {
        this.fc_arbalance = fc_arbalance;
    }

    public FinanceConditionInfo(FinanceCondition condition) {
        this.enuu = condition.getEnuu();
        this.id = condition.getId();
        this.fc_agingamount1 = condition.getFc_agingamount1();
        this.fc_agingamount2 = condition.getFc_agingamount2();
        this.fc_agingamount3 = condition.getFc_agingamount3();
        this.fc_agingamount4 = condition.getFc_agingamount4();
        this.fc_otharremark = condition.getFc_otharremark();
        this.fc_arbalance = condition.getFc_arbalance();
        this.fc_yeatmonth = condition.getFc_yeatmonth();
    }

    public FinanceConditionInfo() {

    }
}
